Skip to content
Navigation

List templates

GET
https://api.sureshake.com/v2/collections/templates

Query parameters

  • includeInactive
    optional
    boolean
    default: false

Returns

200

Default Response

JSON
  • data
    array of
    object
    required
    • key
      string
      required
      pattern: ^[a-z0-9]+(?:_[a-z0-9]+)*$
    • label
      string
      required
    • description
      string
      required
    • defaultName
      string
      required
    • defaultDescription
      string
      required
    • suggestedAssetTypes
      array of
      string
      required
    • requiredAssetTypes
      array of
      string
      required
    • isActive
      boolean
      required
    • sortOrder
      number
      required
    • id
      optional
      string
      format: uuid
    • childCollections
      optional
      array of
      object
      • name
        string
        required
        maxLength: 255 · minLength: 1
      • description
        optional
        string
        maxLength: 2000
      • children
        optional
        array of
        unknown
    • createdBy
      optional
      string
      or null
    • updatedBy
      optional
      string
      or null
    • createdAt
      optional
      string
    • updatedAt
      optional
      string
  • meta
    object
    required
    • total
      number
      required

      Total number of items available

    • limit
      number
      required

      Number of items per page

    • offset
      number
      required

      Number of items skipped

    • hasMore
      boolean
      required

      Whether more items are available

    • page
      optional
      number

      Current page number

    • totalPages
      optional
      number

      Total number of pages

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close